STRUID(3)

NAME
struid - return user ID number for given user name

SYNOPSIS

DESCRIPTION
struid returns the user ID number for the given user name. struid maintains an internal cache to avoid repeated password database scans by the low level getpwuid(3). On the first error for a given name, struid returns -1. Subsequent errors for the same name will result in struid returning -2 instead.

SEE ALSO
getpwent(3)